
D4Science Infrastructure - VM Creation #11975

Task # 11977 (Closed): Make the tagme service more reliable.

New TAGME instance at GARR

Jun 18, 2018 07:36 PM - Andrea Dell'Amico

Status: Closed Start date: Jun 18, 2018

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: UnSprintable   

Infrastructure: Production Applications list and

version:

 

RAM: 32 Applications context

path:

/tagme

CPU: 16 External storage data

disk:

 

DiskSpace: 130 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: latest PostgreSQL

database:

No

Application

Instructions:

Software and data must be copied from

the running tagme.d4science.org

Number of VMs: 1

Smartgears scopes: See the running VM   

Description

We need a bigger server, maybe behind a load balancer.

History

#1 - Jun 18, 2018 07:39 PM - Andrea Dell'Amico

- Parent task set to #11977

Enable JMX by default, and eventually enable the Prometheus JMX exporter.

#2 - Nov 20, 2018 06:36 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 20

VM at GARR-CT1 is up as tagme1.garr.d4science.org.

I'm collecting the tagme war files and the local data so that we can provision a new installation from scratch.

#3 - Nov 21, 2018 12:29 AM - Andrea Dell'Amico

- % Done changed from 20 to 90

The tagme instance is working, it seems: I succesfully got results using the nagios URLs checks.

We can do some more tests, and after that move the hostname tagme.d4science.org to the load balancer. After that, a new GARR VM can be

provisioned and the CNR one dismissed.

#4 - Nov 21, 2018 01:42 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 90 to 100

#5 - Nov 21, 2018 07:04 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
#6 - Nov 22, 2018 12:50 PM - Andrea Dell'Amico

- Copied to VM Creation #12930: New TAGME instance at GARR-PA1 added

#7 - Nov 22, 2018 12:53 PM - Andrea Dell'Amico

- Copied to deleted (VM Creation #12930: New TAGME instance at GARR-PA1)
